#include <stdlib.h>
#include <stdio.h>
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include <SDL/SDL_ttf.h>
#include <FMOD/fmod.h>

#include "instructions.h"

void instructions(SDL_Surface *ecran)
{
    SDL_Surface *fond = NULL;
    SDL_Event eventInstructions;
    SDL_Rect positionFond;
    FMUSIC_MODULE *fondMusique = NULL;

    int continuer = 1, jouerMusique = 0;

    fond = IMG_Load("IMG/fondInstructions.png");
    fondMusique = FMUSIC_LoadSong("MUSIC/instructions.mid");

    if(fondMusique == NULL)
        continuer = 0;

    if(!jouerMusique)
    {
        FMUSIC_PlaySong(fondMusique);
        FMUSIC_SetLooping(fondMusique, 1);
        jouerMusique = 1;
    }

    while(continuer)
    {
        SDL_WaitEvent(&eventInstructions);
        switch(eventInstructions.type)
        {
            case SDL_QUIT:
                continuer = 0;
                break;
            case SDL_KEYDOWN:
                switch(eventInstructions.key.keysym.sym)
                {
                    case SDLK_ESCAPE:
                        continuer = 0;
                        break;
                }
                break;
        }

        if(!jouerMusique)
        {
            FMUSIC_PlaySong(fondMusique);
            FMUSIC_SetLooping(fondMusique, 1);
            jouerMusique = 1;
        }

        SDL_WM_SetCaption("Click'o'Mania - INSTRUCTIONS" , NULL);
        SDL_FillRect(ecran, NULL, SDL_MapRGB(ecran->format, 255, 255, 255));

        positionFond.x = ecran->w / 2 - fond->w / 2;
        positionFond.y = ecran->w / 2 - fond->w / 2;
        SDL_BlitSurface(fond, NULL, ecran, &positionFond); /* Blit du fond par-dessus */

        SDL_Flip(ecran);
    }
    FMUSIC_FreeSong(fondMusique);
}

